Get real estate objects of a private rent contracts

Prev Next
Get
/api/v1/contracts/privaterent/realestateobjects

Get all non-removed real estate objects used in the requested private rent contract. Either reference or externalIdentifier must have a value. If both are given, both are used for retrieving the real estate objects of the private rent contract.

Description

Retrieve all real estate objects linked to the specified private rent contract. Either reference or externalIdentifier must be provided. If both are supplied, both are used to retrieve the real estate objects associated with the contract

Use Case

The Bloxs user wants to retrieve which real estate objects are linked to a particular contract. Returns an array of objects.

Request fields

The request contains the following fields:

FieldDescription
referenceThe reference of the contract as generated by Bloxs.
externalIdentifierThe unique identifier of the contract within the system of the requesting party. This identifier is not generated by the Bloxs system.

Response fields

The 200 response contains the fields in the table below. For the GET operation it gives an up-to-date insight in the data that is currently registered in Bloxs.

FieldDescription
ContractReferenceThe reference of the contract as generated by Bloxs.
ContractExternalIdentifierThe unique identifier of the contract within the system of the requesting party. This identifier is not generated by the Bloxs system.
realEstateObjectReferenceThis refers to the reference of the object which is subject of the contract. Please note, a reference assigned by Bloxs must be included here.
startDateStart date of the contract.
endDate

End date of the contract. This may be left blank; otherwise, please fill in the contract end date. This can also be the date on which the contract is automatically renewed.


Security
HTTP
Type Bearer

Please enter a valid token

Query parameters
reference
string

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

externalIdentifier
string

The external API identifier of the model.

Responses
200

OK

Array of object
object
salesContractReference
string | null
Min length0
Max length100
salesContractExternalIdentifier
string | null
Min length0
Max length100
realEstateObjectReference
string | null
Min length0
Max length100
startDate
string (date-time)
endDate
string (date-time) | null